"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useLoader = void 0;
const react_1 = require("react");
const uuid_1 = require("uuid");
const loader_context_1 = require("./loader-context");
function useLoader(loading) {
    const [id] = (0, react_1.useState)(() => (0, uuid_1.v1)());
    const ctx = (0, react_1.useContext)(loader_context_1.LoaderContext);
    (0, react_1.useEffect)(() => {
        ctx.update(id, loading);
        return () => {
            ctx.remove(id);
        };
    }, [loading, ctx, id]);
}
exports.useLoader = useLoader;
//# sourceMappingURL=use-loader.js.map